import { defineComponent } from 'vue'
import { Tabs, Tab } from 'vant'
import MusicScore from './music-score'
import Collection from './collection'
import Practice from './practice'
import styles from './base.module.less'

export default defineComponent({
  name: 'MusicListContent',
  setup() {
    return () => {
      return (
        <Tabs class={styles.tabs}>
          <Tab title="其他曲谱">
            <MusicScore />
          </Tab>
          <Tab title="最近练习">
            <Practice />
          </Tab>
          <Tab class={styles.tab} title="我的收藏">
            <Collection />
          </Tab>
        </Tabs>
      )
    }
  },
})
